<?php
/*
    "WordPress Plugin Template" Copyright (C) 2018 Michael Simpson  (email : michael.d.simpson@gmail.com)

    This file is part of WordPress Plugin Template for WordPress.

    WordPress Plugin Template is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    WordPress Plugin Template is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Contact Form to Database Extension.
    If not, see http://www.gnu.org/licenses/gpl-3.0.html
*/

function WoocommerceReviewsManager_init($file)
{

  require_once('WoocommerceReviewsManager_Plugin.php');
  $aPlugin = new WoocommerceReviewsManager_Plugin();

  // Install the plugin
  // NOTE: this file gets run each time you *activate* the plugin.
  // So in WP when you "install" the plugin, all that does it dump its files in the plugin-templates directory
  // but it does not call any of its code.
  // So here, the plugin tracks whether or not it has run its install operation, and we ensure it is run only once
  // on the first activation
  // if (!$aPlugin->isInstalled()) {
  //   $aPlugin->install();
  // } else {
  //   // Perform any version-upgrade activities prior to activation (e.g. database changes)
  //   $aPlugin->upgrade();
  // }

  // Add callbacks to hooks
  $aPlugin->addActionsAndFilters();

  if (!$file) {
    $file = __FILE__;
  }
  // Register the Plugin Activation Hook
  register_activation_hook($file, array(&$aPlugin, 'activate'));


  // Register the Plugin Deactivation Hook
  register_deactivation_hook($file, array(&$aPlugin, 'deactivate'));
}


// 
// 
// 
// 
// 
// 
// 
// 
// 
// 
// 
add_action('wp_ajax_getProductsCount_for_ebay', 'getProductsCount_FROM_WP_for_ebay');
add_action('wp_ajax_nopriv_getProductsCount_for_ebay', 'getProductsCount_FROM_WP_for_ebay');


function getProductsCount_FROM_WP_for_ebay()
{

  $args = array(
    'post_type'      => 'product',
    'post_status' => array('publish', 'draft'),
    'meta_query' => array(
      array(
        'key' => 'productUrl', //meta key name here
        'value' => '.ebay.',
        'compare' => 'LIKE',
      )
    ),
  );
  $query = new WP_Query($args);
  $total = $query->found_posts;
  wp_reset_postdata();
  wp_send_json($total);
}


function getCountOfProducts_for_ebay()
{
  $args = array(
    'post_type'      => 'product',
    'post_status' => array('publish', 'draft'),
    'meta_query' => array(
      array(
        'key' => 'isExpired_ebay',
        'value' => 'true',
        'compare' => 'LIKE',
      )
    ),
  );
  $query = new WP_Query($args);
  $total = $query['found_posts'];
  wp_reset_postdata();
  wp_send_json($total);
}


add_action('wp_ajax_getProductsCountDraft_for_ebay', 'getCountOfProducts_for_ebay');
add_action('wp_ajax_nopriv_getProductsCountDraft_for_ebay', 'getCountOfProducts_for_ebay');
add_action('wp_ajax_get_categories_for_ebay', 'get_categories_FROMWP_for_ebay');
add_action('wp_ajax_nopriv_get_categories_for_ebay', 'get_categories_FROMWP_for_ebay');

function get_categories_FROMWP_for_ebay()
{


  $categoriesArray = array();

  $orderby = 'name';
  $order = 'asc';
  $hide_empty = false;
  $cat_args = array(
    'orderby'    => $orderby,
    'order'      => $order,
    'hide_empty' => $hide_empty,
  );

  $product_categories = get_terms('product_cat', $cat_args);

  foreach ($product_categories as $product_category) {
    // if ($product_category->count > 0) {
    array_push($categoriesArray, array('name' => $product_category->name, 'count' => $product_category->count, 'term_id' => $product_category->term_id));
    // }
  }


  // $response['message'] = $post_id->get_error_message();
  wp_send_json($categoriesArray);
}






// 
// 
// 
// 
// 
// 
// 
// 
// 
// 














function getProduct_FROMWP_for_ebay()
{
  $l0 = isset($_POST[base64_decode('cGFnZWQ=')]) ? sanitize_text_field($_POST[base64_decode('cGFnZWQ=')]) : '';
  $z1 = array(base64_decode('cG9zdF90eXBl') => base64_decode('cHJvZHVjdA=='), base64_decode('cG9zdHNfcGVyX3BhZ2U=') => 19, base64_decode('cGFnZWQ=') => $l0, base64_decode('bWV0YV9xdWVyeQ==') => array(array(base64_decode('a2V5') => base64_decode('cHJvZHVjdFVybA=='), base64_decode('dmFsdWU=') => base64_decode('ZWJheS4='), base64_decode('Y29tcGFyZQ==') => base64_decode('TElLRQ=='),)));
  $d2 = new WP_Query($z1);
  $o3 = array();
  if ($d2->have_posts()) {
    while ($d2->have_posts()) : $d2->the_post();
      $c4 = get_the_ID();
      $c5 = new WC_Product($c4);
      if (has_post_thumbnail()) {
        $r6 = get_post_thumbnail_id();
        $k7 = $r6 ? wp_get_attachment_url($r6) : '';
      }
      $o3[] = array(base64_decode('c2t1') => $c5->get_sku(), base64_decode('aWQ=') => $c4, base64_decode('aW1hZ2U=') => $k7, base64_decode('dGl0bGU=') => $c5->get_title(), base64_decode('cHJvZHVjdFVybA==') => get_post_meta($c4, base64_decode('cHJvZHVjdFVybA=='), true), base64_decode('bGFzdFVwZGF0ZWQ=') => get_post_meta($c4, base64_decode('bGFzdFVwZGF0ZWQ='), true), base64_decode('c3RhdHVz') => $c5->get_status());
    endwhile;
  } else {
    echo __(base64_decode('Tm8gcHJvZHVjdHMgZm91bmQ='));
  }
  wp_reset_postdata();
  wp_send_json($o3);
}
function insertProductInWoocommerce_for_ebay()
{
  $v8 = $_POST[base64_decode('bm9uY2U=')];
  $v8 = $_POST[base64_decode('bm9uY2U=')];
  if (isset($_POST)) {
    $v9 = isset($_POST[base64_decode('c2t1')]) ? sanitize_text_field($_POST[base64_decode('c2t1')]) : '';
    $e10 = isset($_POST[base64_decode('aW1hZ2Vz')]) ? $_POST[base64_decode('aW1hZ2Vz')] : array();
    $y11 = isset($_POST[base64_decode('Y2F0ZWdvcmllcw==')]) ? $_POST[base64_decode('Y2F0ZWdvcmllcw==')] : array();
    $k12 = isset($_POST[base64_decode('dGl0bGU=')]) ? sanitize_text_field($_POST[base64_decode('dGl0bGU=')]) : '';
    $c13 = isset($_POST[base64_decode('ZGVzY3JpcHRpb24=')]) ? $_POST[base64_decode('ZGVzY3JpcHRpb24=')] : '';
    $q14 = isset($_POST[base64_decode('cHJvZHVjdFR5cGU=')]) ? sanitize_text_field($_POST[base64_decode('cHJvZHVjdFR5cGU=')]) : base64_decode('c2ltcGxl');
    $n15 = isset($_POST[base64_decode('cmVndWxhclByaWNl')]) ? sanitize_text_field($_POST[base64_decode('cmVndWxhclByaWNl')]) : base64_decode('MA==');
    $a16 = isset($_POST[base64_decode('c2FsZVByaWNl')]) ? sanitize_text_field($_POST[base64_decode('c2FsZVByaWNl')]) : base64_decode('MA==');
    $g17 = isset($_POST[base64_decode('cXVhbnRpdHk=')]) ? sanitize_text_field($_POST[base64_decode('cXVhbnRpdHk=')]) : base64_decode('MA==');
    $b18 = isset($_POST[base64_decode('cG9zdFN0YXR1cw==')]) ? sanitize_text_field($_POST[base64_decode('cG9zdFN0YXR1cw==')]) : base64_decode('ZHJhZnQ=');
    $f19 = isset($_POST[base64_decode('dmFyaWF0aW9ucw==')]) ? $_POST[base64_decode('dmFyaWF0aW9ucw==')] : array();
    $h20 = isset($_POST[base64_decode('YXR0cmlidXRlcw==')]) ? $_POST[base64_decode('YXR0cmlidXRlcw==')] : array();
    $c21 = isset($_POST[base64_decode('cHJvZHVjdFVybA==')]) ? sanitize_text_field($_POST[base64_decode('cHJvZHVjdFVybA==')]) : '';
    $g22 = isset($_POST[base64_decode('c2hvcnREZXNjcmlwdGlvbg==')]) ? sanitize_text_field($_POST[base64_decode('c2hvcnREZXNjcmlwdGlvbg==')]) : '';
    $t23 = isset($_POST[base64_decode('aW1wb3J0VmFyaWF0aW9uSW1hZ2Vz')]) ? sanitize_text_field($_POST[base64_decode('aW1wb3J0VmFyaWF0aW9uSW1hZ2Vz')]) : '';
    $w24 = isset($_POST[base64_decode('cmV2aWV3cw==')]) ? $_POST[base64_decode('cmV2aWV3cw==')] : array();
    $d25 = isset($_POST[base64_decode('dGFncw==')]) ? $_POST[base64_decode('dGFncw==')] : array();
    $h26 = array(base64_decode('YQ==') => array(base64_decode('aHJlZg==') => array(),), base64_decode('aW1n') => array(),);
    $v27 = html_entity_decode($c13);
    if ($q14 == base64_decode('c2ltcGxl')) {
      $c5 = new WC_Product_Simple();
      if (isset($k12)) {
        $c5->set_name($k12);
      }
      if (isset($c13)) {
        $c5->set_description($c13);
      }
      if (isset($g22)) {
        $c5->set_short_description($g22);
      }
      if (isset($v9)) {
        $c5->set_sku($v9);
      }
      if (isset($b18)) {
        $c5->set_status($b18);
      }
      if (isset($n15)) {
        $c5->set_regular_price($n15);
        $c5->set_price($n15);
      }
      if (isset($g17)) {
        $c5->set_stock_quantity($g17);
        $c5->set_manage_stock(true);
      }
      if (is_array($y11) && count($y11)) {
        $c5->set_category_ids($y11);
      }
      save_product_images_for_ebay($c5, $e10);
      try {
        $l28 = $c5->save();
      } catch (Exception $t29) {
        $y30 = array(base64_decode('ZXJyb3I=') => true, base64_decode('ZXJyb3JfbXNn') => base64_decode('RXJyb3IgcmVjZWl2ZWQgd2hlbiB0cnlpbmcgdG8gaW5zZXJ0IHRoZSBwcm9kdWN0') . $t29->getMessage(), base64_decode('ZGF0YQ==') => '');
        wp_send_json($y30);
      }
      if (isset($c21)) {
        update_post_meta($l28, base64_decode('cHJvZHVjdFVybA=='), $c21);
      }
      if (isset($l28) && isset($d25) && count($d25)) {
        wp_set_object_terms($l28, $d25, base64_decode('cHJvZHVjdF90YWc='));
      }
      if (is_array($y11) && count($y11)) {
        $c5->set_category_ids($y11);
      }
      if (isset($l28) && isset($w24) && count($w24)) {
        foreach ($w24 as $n31) {
          $i32 = wp_insert_comment(array(base64_decode('Y29tbWVudF9wb3N0X0lE') => sanitize_text_field($l28), base64_decode('Y29tbWVudF9hdXRob3I=') => sanitize_text_field($n31[base64_decode('dXNlcm5hbWU=')]), base64_decode('Y29tbWVudF9hdXRob3JfZW1haWw=') => sanitize_text_field($n31[base64_decode('ZW1haWw=')]), base64_decode('Y29tbWVudF9hdXRob3JfdXJs') => '', base64_decode('Y29tbWVudF9jb250ZW50') => $n31[base64_decode('cmV2aWV3')], base64_decode('Y29tbWVudF90eXBl') => '', base64_decode('Y29tbWVudF9wYXJlbnQ=') => 0, base64_decode('dXNlcl9pZA==') => 5, base64_decode('Y29tbWVudF9hdXRob3JfSVA=') => '', base64_decode('Y29tbWVudF9hZ2VudA==') => '', base64_decode('Y29tbWVudF9kYXRl') => $n31[base64_decode('ZGF0ZWNyZWF0aW9u')], base64_decode('Y29tbWVudF9hcHByb3ZlZA==') => 1,));
          update_comment_meta($i32, base64_decode('cmF0aW5n'), sanitize_text_field($n31[base64_decode('cmF0aW5n')]));
        }
      }
      $y30 = array(base64_decode('ZXJyb3I=') => false, base64_decode('ZXJyb3JfbXNn') => '', base64_decode('ZGF0YQ==') => base64_decode('UHJvZHVjdCBpbnNlcnRlZCBzdWNjZXNzZnVsbHk='));
    

      $attributeArray = array();
      if (is_array($h20) && count($h20)) {
        foreach ($h20 as $attributeValue) {
          $values = $attributeValue['values'];
          $attr_label = $attributeValue['name'];
          $isVariation = $attributeValue['variation'];


          
          //Create the attribute object
          $attribute = new WC_Product_Attribute();

          $attribute->set_name($attr_label); // -> removed 'pa_' prefix

          //Set terms slugs
          $attribute->set_options($values);

          //If enabled
          $attribute->set_visible(1);


          
          $attribute->set_variation(0);
          

          array_push($attributeArray, $attribute);
        }
      } 

      $c5->set_attributes($attributeArray);

   
      $c5->save();
   
      wp_send_json($y30);

   
   
    } else {
      try {
        $c5 = new WC_Product_Variable();
        if (isset($k12)) {
          $c5->set_name($k12);
        }
        if (isset($c13)) {
          $c5->set_description($c13);
        }
        if (isset($g22)) {
          $c5->set_short_description($g22);
        }
        if (isset($v9)) {
          $c5->set_sku($v9);
        }
        if (isset($b18)) {
          $c5->set_status($b18);
        }
        save_product_images_for_ebay($c5, $e10);
        $v33 = array();
        if (is_array($h20) && count($h20)) {
          foreach ($h20 as $l34) {
            $s35 = $l34[base64_decode('dmFsdWVz')];
            $y36 = $l34[base64_decode('bmFtZQ==')];
            $u37 = $l34[base64_decode('dmFyaWF0aW9u')];
            $y38 = new WC_Product_Attribute();
            $y38->set_name($y36);
            $y38->set_options($s35);
            $y38->set_visible(1);
            if ($u37 == base64_decode('dHJ1ZQ==')) {
              $y38->set_variation(1);
            } else {
              $y38->set_variation(0);
            }
            array_push($v33, $y38);
          }
          $c5->set_attributes($v33);
        } else {
          $y30 = array(base64_decode('ZXJyb3I=') => true, base64_decode('ZXJyb3JfbXNn') => base64_decode('TWlzc2luZyBhdHRyaWJ1dGVzIG9yIHZhcmlhdGlvbnMsIGNvdWxkIG5vdCBpbnNlcnQgcHJvZHVjdCA='), base64_decode('ZGF0YQ==') => '');
          wp_send_json($y30);
        }
      } catch (Exception $q39) {
        $y30 = array(base64_decode('ZXJyb3I=') => true, base64_decode('ZXJyb3JfbXNn') => base64_decode('RXJyb3IgcmVjZWl2ZWQgd2hlbiB0cnlpbmcgdG8gaW5zZXJ0IHRoZSBwcm9kdWN0') . $q39->getMessage(), base64_decode('ZGF0YQ==') => '');
        wp_send_json($y30);
      }
      try {
        $l28 = $c5->save();
      } catch (Exception $t29) {
        $y30 = array(base64_decode('ZXJyb3I=') => true, base64_decode('ZXJyb3JfbXNn') => base64_decode('RXJyb3IgcmVjZWl2ZWQgd2hlbiB0cnlpbmcgdG8gaW5zZXJ0IHRoZSBwcm9kdWN0') . $q39->getMessage(), base64_decode('ZGF0YQ==') => '');
        wp_send_json($y30);
      }
      if (isset($c21)) {
        update_post_meta($l28, base64_decode('cHJvZHVjdFVybA=='), $c21);
      }
      if (isset($l28) && isset($d25) && count($d25)) {
        wp_set_object_terms($l28, $d25, base64_decode('cHJvZHVjdF90YWc='));
      }
      if (isset($l28) && isset($w24) && count($w24)) {
        foreach ($w24 as $n31) {
          $i32 = wp_insert_comment(array(base64_decode('Y29tbWVudF9wb3N0X0lE') => sanitize_text_field($l28), base64_decode('Y29tbWVudF9hdXRob3I=') => sanitize_text_field($n31[base64_decode('dXNlcm5hbWU=')]), base64_decode('Y29tbWVudF9hdXRob3JfZW1haWw=') => sanitize_text_field($n31[base64_decode('ZW1haWw=')]), base64_decode('Y29tbWVudF9hdXRob3JfdXJs') => '', base64_decode('Y29tbWVudF9jb250ZW50') => $n31[base64_decode('cmV2aWV3')], base64_decode('Y29tbWVudF90eXBl') => '', base64_decode('Y29tbWVudF9wYXJlbnQ=') => 0, base64_decode('dXNlcl9pZA==') => 5, base64_decode('Y29tbWVudF9hdXRob3JfSVA=') => '', base64_decode('Y29tbWVudF9hZ2VudA==') => '', base64_decode('Y29tbWVudF9kYXRl') => $n31[base64_decode('ZGF0ZWNyZWF0aW9u')], base64_decode('Y29tbWVudF9hcHByb3ZlZA==') => 1,));
          update_comment_meta($i32, base64_decode('cmF0aW5n'), sanitize_text_field($n31[base64_decode('cmF0aW5n')]));
        }
      }
      if (is_array($f19) && count($f19)) {
        foreach ($f19 as $z40) {
          $o41 = $z40[base64_decode('YXR0cmlidXRlc1ZhcmlhdGlvbnM=')];
          $b42 = new WC_Product_Variation();
          $b42->set_parent_id($l28);
          if (!empty($z40[base64_decode('U0tV')]) &&  isset($z40[base64_decode('U0tV')]) && $z40[base64_decode('U0tV')] != 'undefined' ) {
            $b42->set_sku($z40[base64_decode('U0tV')]);
          }
          if (!empty(sanitize_text_field($z40[base64_decode('cmVndWxhclByaWNl')]))) {
            $b42->set_regular_price($z40[base64_decode('cmVndWxhclByaWNl')]);
          }
          if (!empty(sanitize_text_field($z40[base64_decode('c2FsZVByaWNl')]))) {
            $b42->set_sale_price($z40[base64_decode('c2FsZVByaWNl')]);
          }
          $f43 = sanitize_text_field($z40[base64_decode('YXZhaWxRdWFudGl0eQ==')]);
          if (isset($f43)) {
            $b42->set_manage_stock(true);
            $b42->set_stock_quantity($f43);
            $b42->set_stock_status(base64_decode('aW5zdG9jaw=='));
          }
          $v44 = array();
          foreach ($o41 as $v45) {
            $v44[$v45[base64_decode('bmFtZQ==')]] = $v45[base64_decode('dmFsdWU=')];
            $j46 = array();
            if (($t23 == base64_decode('dHJ1ZQ=='))) {
              $p47 = $v45[base64_decode('aW1hZ2U=')];
              if (isset($p47)) {
                $l48 = false;
                foreach ($j46 as $j49) {
                  if ($j49->$v50 == $p47) {
                    $l48 = $j49->$w51;
                    break;
                  }
                }
                if ($l48 != false) {
                  $b42->set_image_id($l48);
                } else {
                  $q52 = save_single_variation_image($b42, $p47);
                  array_push($j46, array(base64_decode('aW1hZ2U=') => $p47, base64_decode('aWQ=') => $q52));
                  if (isset($q52)) {
                    $b42->set_image_id($q52);
                  }
                }
              }
            }
          };
          $b42->set_attributes($v44);
          try {
            $b42->save();
          } catch (Exception $t29) {
            echo $t29;
          }
        }
      }
      $y30 = array(base64_decode('ZXJyb3I=') => false, base64_decode('ZXJyb3JfbXNn') => '', base64_decode('ZGF0YQ==') => base64_decode('UHJvZHVjdCBpbnNlcnRlZCBzdWNjZXNzZnVsbHk='));
      wp_send_json($y30);
    }
  }
}
function getProductsDraft_for_ebay()
{
  $l0 = isset($_POST[base64_decode('cGFnZWQ=')]) ? sanitize_text_field($_POST[base64_decode('cGFnZWQ=')]) : '';
  $z1 = array(base64_decode('cG9zdF90eXBl') => base64_decode('cHJvZHVjdA=='), base64_decode('cG9zdHNfcGVyX3BhZ2U=') => 19, base64_decode('cGFnZWQ=') => $l0, base64_decode('bWV0YV9xdWVyeQ==') => array(array(base64_decode('a2V5') => base64_decode('aXNFeHBpcmVkX2ViYXk='), base64_decode('dmFsdWU=') => base64_decode('dHJ1ZQ=='), base64_decode('Y29tcGFyZQ==') => base64_decode('TElLRQ=='),)));
  $d2 = new WP_Query($z1);
  $o3 = array();
  if ($d2->have_posts()) {
    while ($d2->have_posts()) : $d2->the_post();
      $c4 = get_the_ID();
      $c5 = new WC_Product($c4);
      if (has_post_thumbnail()) {
        $r6 = get_post_thumbnail_id();
        $k7 = $r6 ? wp_get_attachment_url($r6) : '';
      }
      $o3[] = array(base64_decode('c2t1') => $c5->get_sku(), base64_decode('aWQ=') => $c4, base64_decode('aW1hZ2U=') => $k7, base64_decode('dGl0bGU=') => $c5->get_title(), base64_decode('cHJvZHVjdFVybA==') => get_post_meta($c4, base64_decode('cHJvZHVjdFVybA=='), true));
    endwhile;
  } else {
    echo __(base64_decode('Tm8gcHJvZHVjdHMgZm91bmQ='));
  }
  wp_reset_postdata();
  wp_send_json($o3);
}
function setProductToDraft_for_ebay()
{
  $l28 = isset($_POST[base64_decode('cG9zdF9pZA==')]) ? sanitize_text_field($_POST[base64_decode('cG9zdF9pZA==')]) : '';
  if (isset($l28)) {
    $l53 = update_post_meta($l28, base64_decode('aXNFeHBpcmVk'), base64_decode('dHJ1ZQ=='));
    $p54 = array(base64_decode('SUQ=') => $l28, base64_decode('cG9zdF9zdGF0dXM=') => base64_decode('ZHJhZnQ='));
    wp_update_post($p54);
  }
  wp_send_json(array(base64_decode('cmVzdWx0') => $l53));
}
function updateProductSimple_for_ebay()
{
  $u55 = isset($_POST[base64_decode('bmV3UHJvZHVjdA==')]) ? $_POST[base64_decode('bmV3UHJvZHVjdA==')] : array();
  if (isset($u55) && count($u55)) {
    foreach ($u55 as $c5) {
      if (isset($c5[base64_decode('aWQ=')])) {
        if (isset($c5[base64_decode('cmVndWxhclByaWNl')])) {
          update_post_meta($c5[base64_decode('aWQ=')], base64_decode('X3JlZ3VsYXJfcHJpY2U='), $c5[base64_decode('cmVndWxhclByaWNl')]);
          update_post_meta($c5[base64_decode('aWQ=')], base64_decode('X3ByaWNl'), $c5[base64_decode('cmVndWxhclByaWNl')]);
        }
        if (isset($c5[base64_decode('YXZhaWxRdWFudGl0eQ==')]) && $c5[base64_decode('YXZhaWxRdWFudGl0eQ==')] > -1) {
          update_post_meta($c5[base64_decode('aWQ=')], base64_decode('X3N0b2Nr'), $c5[base64_decode('YXZhaWxRdWFudGl0eQ==')]);
        }
        $y30 = array(base64_decode('ZXJyb3I=') => false, base64_decode('ZXJyb3JfbXNn') => '', base64_decode('ZGF0YQ==') => array(base64_decode('c3VjY2Vzcw==') => true, base64_decode('c2t1') => $c5[base64_decode('cHJvZHVjdFNrdQ==')]));
        wp_send_json($y30);
      } else {
        $y30 = array(base64_decode('ZXJyb3I=') => false, base64_decode('ZXJyb3JfbXNn') => '', base64_decode('ZGF0YQ==') => array(base64_decode('c3VjY2Vzcw==') => true, base64_decode('c2t1') => $c5[base64_decode('cHJvZHVjdFNrdQ==')]),);
        wp_send_json($y30);
      }
    }
  }
}
function updateProductVariations_for_ebay()
{
  $y56 = array();
  $e57 = array();
  $u58 = array();
  $k59 = isset($_POST[base64_decode('dXBkYXRlVmFyaWF0aW9uc09uU2VydmVy')]) ? $_POST[base64_decode('dXBkYXRlVmFyaWF0aW9uc09uU2VydmVy')] : array();
  $r60 = isset($_POST[base64_decode('dG90YWxPbGRWYXJpYXRpb25z')]) ? $_POST[base64_decode('dG90YWxPbGRWYXJpYXRpb25z')] : 1;
  if (isset($k59) && count($k59)) {
    foreach ($k59 as $c5) {
      if (isset($c5[base64_decode('dmFyaWF0aW9uX2lk')])) {
        $u61 = false;
        $z62 = false;
        $q63 = false;
        if (isset($c5[base64_decode('c2FsZVByaWNl')])) {
          $u61 = update_post_meta($c5[base64_decode('dmFyaWF0aW9uX2lk')], base64_decode('X3NhbGVfcHJpY2U='), $c5[base64_decode('c2FsZVByaWNl')]);
        }
        if (isset($c5[base64_decode('cmVndWxhclByaWNl')])) {
          $z62 = update_post_meta($c5[base64_decode('dmFyaWF0aW9uX2lk')], base64_decode('X3JlZ3VsYXJfcHJpY2U='), $c5[base64_decode('cmVndWxhclByaWNl')]);
          update_post_meta($c5[base64_decode('dmFyaWF0aW9uX2lk')], base64_decode('X3ByaWNl'), $c5[base64_decode('cmVndWxhclByaWNl')]);
          wc_delete_product_transients($c5[base64_decode('dmFyaWF0aW9uX2lk')]);
        }
        if (isset($c5[base64_decode('YXZhaWxRdWFudGl0eQ==')]) && $c5[base64_decode('YXZhaWxRdWFudGl0eQ==')] > -1) {
          $q63 = update_post_meta($c5[base64_decode('dmFyaWF0aW9uX2lk')], base64_decode('X3N0b2Nr'), $c5[base64_decode('YXZhaWxRdWFudGl0eQ==')]);
        }
        if (isset($c5[base64_decode('YXZhaWxRdWFudGl0eQ==')]) && $c5[base64_decode('YXZhaWxRdWFudGl0eQ==')] == 0) {
          array_push($u58, $c5[base64_decode('dmFyaWF0aW9uX2lk')]);
        } else {
          array_push($e57, $c5[base64_decode('dmFyaWF0aW9uX2lk')]);
        }
      }
    }
  }
  $y30 = array(base64_decode('ZXJyb3I=') => false, base64_decode('ZXJyb3JfbXNn') => '', base64_decode('ZGF0YQ==') => array(base64_decode('dG90YWxPbGRWYXJpYXRpb25z') => $r60, base64_decode('ZXJyb3I=') => $y56, base64_decode('c3VjY2Vzcw==') => $e57, base64_decode('b3V0T2ZTdG9jaw==') => $u58));
  wp_send_json($y30);
}
function getOldProductDetails_for_ebay()
{
  $l28 = isset($_POST[base64_decode('cG9zdF9pZA==')]) ? sanitize_text_field($_POST[base64_decode('cG9zdF9pZA==')]) : '';
  $c5 = wc_get_product($l28);
  if ($c5->get_type() == base64_decode('c2ltcGxl')) {
    $n15 = $c5->get_regular_price();
    $a16 = $c5->get_sale_price();
    $g17 = $c5->get_stock_quantity();
    wp_send_json(array(base64_decode('dHlwZQ==') => base64_decode('c2ltcGxl'), base64_decode('cXVhbnRpdHk=') => $g17, base64_decode('cmVndWxhclByaWNl') => $n15, base64_decode('c2FsZVByaWNl') => $a16));
  }
  if ($c5->get_type() == base64_decode('dmFyaWFibGU=')) {
    $j64 = $c5->get_available_variations();
    wp_send_json($j64);
  }
}
function searchProductBySku_for_ebay()
{
  $d65 = isset($_POST[base64_decode('c2VhcmNoU2t1VmFsdWU=')]) ? sanitize_text_field($_POST[base64_decode('c2VhcmNoU2t1VmFsdWU=')]) : '';
  if (isset($d65)) {
    $z1 = array(base64_decode('cG9zdF90eXBl') => base64_decode('cHJvZHVjdA=='), base64_decode('cG9zdHNfcGVyX3BhZ2U=') => 1, base64_decode('bWV0YV9xdWVyeQ==') => array(array(base64_decode('a2V5') => base64_decode('X3NrdQ=='), base64_decode('dmFsdWU=') => $d65, base64_decode('Y29tcGFyZQ==') => base64_decode('TElLRQ==')), array(base64_decode('a2V5') => base64_decode('cHJvZHVjdFVybA=='), base64_decode('dmFsdWU=') => base64_decode('ZWJheS4='), base64_decode('Y29tcGFyZQ==') => base64_decode('TElLRQ=='),)));
    $d2 = new WP_Query($z1);
    $o3 = array();
    if ($d2->have_posts()) {
      while ($d2->have_posts()) : $d2->the_post();
        $c4 = get_the_ID();
        $c5 = new WC_Product($c4);
        if (has_post_thumbnail()) {
          $r6 = get_post_thumbnail_id();
          $k7 = $r6 ? wp_get_attachment_url($r6) : '';
        }
        $o3[] = array(base64_decode('c2t1') => $c5->get_sku(), base64_decode('aWQ=') => $c4, base64_decode('aW1hZ2U=') => $k7, base64_decode('dGl0bGU=') => $c5->get_title(), base64_decode('cHJvZHVjdFVybA==') => get_post_meta($c4, base64_decode('cHJvZHVjdFVybA=='), true));
      endwhile;
    } else {
      echo __(base64_decode('Tm8gcHJvZHVjdHMgZm91bmQ='));
    }
    wp_reset_postdata();
    wp_send_json($o3);
  } else {
    $y30 = array(base64_decode('ZXJyb3I=') => true, base64_decode('ZXJyb3JfbXNn') => base64_decode('Y2Fubm90IGZpbmQgcmVzdWx0IGZvciB0aGUgaW50cm9kdWNlZCBza3UgdmFsdWUsIHBsZWFzZSBtYWtlIHN1cmUgdGhlIHByb2R1Y3QgaXMgaW1wb3J0ZWQgdXNpbmcgd29vc2hhcms='), base64_decode('ZGF0YQ==') => '');
    wp_send_json($y30);
  }
}
function removeProductFromShop_for_ebay()
{
  $l28 = isset($_POST[base64_decode('cG9zdF9pZA==')]) ? sanitize_text_field($_POST[base64_decode('cG9zdF9pZA==')]) : '';
  if (isset($l28)) {
    $l66 = wp_delete_post($l28);
    if ($l66 != false && isset($l66)) {
      $y30 = array(base64_decode('ZXJyb3I=') => false, base64_decode('ZXJyb3JfbXNn') => '', base64_decode('ZGF0YQ==') => base64_decode('cmVtb3ZlZCBzdWNjZXNzZnVsbHk='));
      wp_send_json($y30);
    } else {
      $y30 = array(base64_decode('ZXJyb3I=') => trye, base64_decode('ZXJyb3JfbXNn') => base64_decode('ZXJyb3Igd2hpbGUgcmVtb3ZpbmcgdGhlIHByb2R1Y3Q='), base64_decode('ZGF0YQ==') => '');
      wp_send_json($y30);
    }
  }
}
function insertReviewsIntoProduct_for_ebay()
{
  $l28 = isset($_POST[base64_decode('cG9zdF9pZA==')]) ? sanitize_text_field($_POST[base64_decode('cG9zdF9pZA==')]) : '';
  $w24 = isset($_POST[base64_decode('cmV2aWV3cw==')]) ? ($_POST[base64_decode('cmV2aWV3cw==')]) : array();
  $f67 = array();
  if (isset($l28) && isset($w24) && count($w24)) {
    foreach ($w24 as $n31) {
      $i32 = wp_insert_comment(array(base64_decode('Y29tbWVudF9wb3N0X0lE') => sanitize_text_field($l28), base64_decode('Y29tbWVudF9hdXRob3I=') => sanitize_text_field($n31[base64_decode('dXNlcm5hbWU=')]), base64_decode('Y29tbWVudF9hdXRob3JfZW1haWw=') => sanitize_text_field($n31[base64_decode('ZW1haWw=')]), base64_decode('Y29tbWVudF9hdXRob3JfdXJs') => '', base64_decode('Y29tbWVudF9jb250ZW50') => sanitize_text_field($n31[base64_decode('cmV2aWV3')]), base64_decode('Y29tbWVudF90eXBl') => '', base64_decode('Y29tbWVudF9wYXJlbnQ=') => 0, base64_decode('dXNlcl9pZA==') => 5, base64_decode('Y29tbWVudF9hdXRob3JfSVA=') => '', base64_decode('Y29tbWVudF9hZ2VudA==') => '', base64_decode('Y29tbWVudF9kYXRl') => date(base64_decode('WS1tLWQgSDppOnM=')), base64_decode('Y29tbWVudF9hcHByb3ZlZA==') => 1,));
      $v68 = update_comment_meta($i32, base64_decode('cmF0aW5n'), sanitize_text_field($n31[base64_decode('cmF0aW5n')]));
      if ($v68 != false && isset($v68)) {
        array_push($f67, $i32);
      }
    }
    wp_send_json(array(base64_decode('aW5zZXJ0ZWRTdWNjZXNzZnVsbHk=') => $f67));
  }
}




function getAlreadyImportedProducts_for_ebay()
{

  $w69 = isset($_POST[base64_decode('bGlzdE9mU2t1cw==')]) ? ($_POST[base64_decode('bGlzdE9mU2t1cw==')]) : array();
  if (isset($w69) && count($w69)) {
    $z1 = array(base64_decode('cG9zdF90eXBl') => base64_decode('cHJvZHVjdA=='), base64_decode('cG9zdHNfcGVyX3BhZ2U=') => 40, base64_decode('bWV0YV9xdWVyeQ==') => array(array(base64_decode('a2V5') => base64_decode('X3NrdQ=='), base64_decode('dmFsdWU=') => $w69, base64_decode('Y29tcGFyZQ==') => base64_decode('SU4=')), array(base64_decode('a2V5') => base64_decode('cHJvZHVjdFVybA=='), base64_decode('dmFsdWU=') => base64_decode('ZWJheS4='), base64_decode('Y29tcGFyZQ==') => base64_decode('TElLRQ=='),)));
    $d2 = new WP_Query($z1);
    $o3 = array();
    if ($d2->have_posts()) {
      while ($d2->have_posts()) : $d2->the_post();
        $c4 = get_the_ID();
        $c5 = new WC_Product($c4);
        $o3[] = array(base64_decode('c2t1') => $c5->get_sku(), base64_decode('aWQ=') => $c4, base64_decode('dGl0bGU=') => $c5->get_title(), base64_decode('cHJvZHVjdFVybA==') => get_post_meta($c4, base64_decode('cHJvZHVjdFVybA=='), true));
      endwhile;
    } else {
      echo __(base64_decode('Tm8gcHJvZHVjdHMgZm91bmQ='));
    }
    wp_reset_postdata();
    wp_send_json($o3);
  }
}
function getSKuAbdUrlByCategory_for_ebay()
{
  $r70 = isset($_POST[base64_decode('Y2F0ZWdvcnlJZA==')]) ? ($_POST[base64_decode('Y2F0ZWdvcnlJZA==')]) : array();
  if (isset($r70)) {
    $z1 = array(base64_decode('cG9zdF90eXBl') => base64_decode('cHJvZHVjdA=='), base64_decode('cG9zdHNfcGVyX3BhZ2U=') => -1, base64_decode('cG9zdF9zdGF0dXM=') => array(base64_decode('cHVibGlzaA==')), base64_decode('bWV0YV9xdWVyeQ==') => array(array(base64_decode('a2V5') => base64_decode('cHJvZHVjdFVybA=='), base64_decode('dmFsdWU=') => base64_decode('ZWJheS4='), base64_decode('Y29tcGFyZQ==') => base64_decode('TElLRQ=='),)), base64_decode('dGF4X3F1ZXJ5') => array(array(base64_decode('dGF4b25vbXk=') => base64_decode('cHJvZHVjdF9jYXQ='), base64_decode('ZmllbGQ=') => base64_decode('dGVybV9pZA=='), base64_decode('dGVybXM=') => $r70, base64_decode('b3BlcmF0b3I=') => base64_decode('SU4='))));
    $d2 = new WP_Query($z1);
    $o3 = array();
    if ($d2->have_posts()) {
      while ($d2->have_posts()) : $d2->the_post();
        $c4 = get_the_ID();
        $c5 = new WC_Product($c4);
        $o3[] = array(sku => $c5->get_sku(), id => $c4, productUrl => get_post_meta($c4, base64_decode('cHJvZHVjdFVybA=='), true));
      endwhile;
    } else {
      echo __(base64_decode('Tm8gcHJvZHVjdHMgZm91bmQ='));
    }
    wp_reset_postdata();
    wp_send_json($o3);
  }
}
function searchCategoryByName_for_ebay()
{
  $j71 = isset($_POST[base64_decode('c2VhcmNoQ2F0ZWdvcnlCeU5hbWVJbnB1dA==')]) ? ($_POST[base64_decode('c2VhcmNoQ2F0ZWdvcnlCeU5hbWVJbnB1dA==')]) : array();
  $j72 = get_terms(base64_decode('Y2F0ZWdvcnk='), array(base64_decode('c2VhcmNo') => $j71));
  wp_send_json($j72);
}
function upload_image_for_ebay($c73)
{
  include_once(ABSPATH . base64_decode('d3AtYWRtaW4vaW5jbHVkZXMvaW1hZ2UucGhw'));
  $h74 = end(explode(base64_decode('Lw=='), getimagesize($c73)[base64_decode('bWltZQ==')]));
  $v75 = date(base64_decode('ZG1Z')) . '' . (int) microtime(true);
  $x76 = $v75 . base64_decode('Lg==') . $h74;
  $c77 = wp_upload_dir();
  $c78 = $c77[base64_decode('cGF0aA==')] . base64_decode('Lw==') . $x76;
  $x79 = file_get_contents($c73);
  $v80 = fopen($c78, base64_decode('dw=='));
  fwrite($v80, $x79);
  fclose($v80);
  $j81 = wp_check_filetype(basename($x76), null);
  $k82 = array(base64_decode('cG9zdF9taW1lX3R5cGU=') => $j81[base64_decode('dHlwZQ==')], base64_decode('cG9zdF90aXRsZQ==') => $x76, base64_decode('cG9zdF9jb250ZW50') => '', base64_decode('cG9zdF9zdGF0dXM=') => base64_decode('aW5oZXJpdA=='));
  $s83 = wp_insert_attachment($k82, $c78);
  return $s83;
}
function save_product_images_for_ebay($c5, $e10)
{
  if (is_array($e10)) {
    $o84 = array();
    foreach ($e10 as $u85 => $k7) {
      if (isset($k7)) {
        $e86 = wc_rest_upload_image_from_url(esc_url_raw($k7));
        if (is_wp_error($e86)) {
          if (!apply_filters(base64_decode('d29vY29tbWVyY2VfcmVzdF9zdXBwcmVzc19pbWFnZV91cGxvYWRfZXJyb3I='), false, $e86, $c5->get_id(), $e10)) {
            throw new WC_REST_Exception(base64_decode('d29vY29tbWVyY2VfcHJvZHVjdF9pbWFnZV91cGxvYWRfZXJyb3I='), $e86->get_error_message(), 400);
          } else {
            continue;
          }
        }
        $t87 = wc_rest_set_uploaded_image_as_attachment($e86, $c5->get_id());
      }
      if ($u85 == 0) {
        $c5->set_image_id($t87);
      } else {
        array_push($o84, $t87);
      }
    }
    if (!empty($o84)) {
      $c5->set_gallery_image_ids($o84);
    }
  } else {
    $c5->set_image_id('');
    $c5->set_gallery_image_ids(array());
  }
  return $c5;
}
function save_single_variation_image_for_ebay($c5, $k7)
{
  $o84 = array();
  if (isset($k7)) {
    $e86 = wc_rest_upload_image_from_url(esc_url_raw($k7));
    if (is_wp_error($e86)) {
      if (!apply_filters(base64_decode('d29vY29tbWVyY2VfcmVzdF9zdXBwcmVzc19pbWFnZV91cGxvYWRfZXJyb3I='), false, $e86, $c5->get_id(), $k7)) {
        throw new WC_REST_Exception(base64_decode('d29vY29tbWVyY2VfcHJvZHVjdF9pbWFnZV91cGxvYWRfZXJyb3I='), $e86->get_error_message(), 400);
      }
    }
    $t87 = wc_rest_set_uploaded_image_as_attachment($e86, $c5->get_id());
  }
  $c5->set_image_id($t87);
  return $t87;
}
function searchProductByIdReviews_for_ebay()
{
  $d65 = isset($_POST[base64_decode('c2VhcmNoU2t1VmFsdWU=')]) ? sanitize_text_field($_POST[base64_decode('c2VhcmNoU2t1VmFsdWU=')]) : '';
  if (isset($d65)) {
    $z1 = array(base64_decode('cG9zdF90eXBl') => base64_decode('cHJvZHVjdA=='), base64_decode('cG9zdHNfcGVyX3BhZ2U=') => 1, base64_decode('cA==') => $d65);
    $d2 = new WP_Query($z1);
    $o3 = array();
    if ($d2->have_posts()) {
      while ($d2->have_posts()) : $d2->the_post();
        $c4 = get_the_ID();
        $c5 = new WC_Product($c4);
        if (has_post_thumbnail()) {
          $r6 = get_post_thumbnail_id();
          $k7 = $r6 ? wp_get_attachment_url($r6) : '';
        }
        $o3[] = array(base64_decode('c2t1') => $c5->get_sku(), base64_decode('aWQ=') => $c4, base64_decode('aW1hZ2U=') => $k7, base64_decode('dGl0bGU=') => $c5->get_title(), base64_decode('cHJvZHVjdFVybA==') => get_post_meta($c4, base64_decode('cHJvZHVjdFVybA=='), true), base64_decode('bGFzdFVwZGF0ZWQ=') => get_post_meta($c4, base64_decode('bGFzdFVwZGF0ZWQ='), true), base64_decode('c3RhdHVz') => $c5->get_status());
      endwhile;
    } else {
      echo __(base64_decode('Tm8gcHJvZHVjdHMgZm91bmQ='));
    }
    wp_reset_postdata();
    wp_send_json($o3);
  } else {
    $y30 = array(base64_decode('ZXJyb3I=') => true, base64_decode('ZXJyb3JfbXNn') => base64_decode('Y2Fubm90IGZpbmQgcmVzdWx0IGZvciB0aGUgaW50cm9kdWNlZCBza3UgdmFsdWUsIHBsZWFzZSBtYWtlIHN1cmUgdGhlIHByb2R1Y3QgaXMgaW1wb3J0ZWQgdXNpbmcgd29vc2hhcms='), base64_decode('ZGF0YQ==') => '');
    wp_send_json($y30);
  }
}
function saveOptionsDB_for_ebay()
{
  $n88 = isset($_POST[base64_decode('aXNTaGlwcGluZ0Nvc3RFbmFibGVk')]) ? sanitize_text_field($_POST[base64_decode('aXNTaGlwcGluZ0Nvc3RFbmFibGVk')]) : base64_decode('Tg==');
  $s89 = isset($_POST[base64_decode('aXNFbmFibGVBdXRvbWF0aWNVcGRhdGVGb3JBdmFpbGFiaWxpdHk=')]) ? sanitize_text_field($_POST[base64_decode('aXNFbmFibGVBdXRvbWF0aWNVcGRhdGVGb3JBdmFpbGFiaWxpdHk=')]) : base64_decode('Tg==');
  $h90 = isset($_POST[base64_decode('aXNVcGRhdGVSZWd1bGFyUHJpY2U=')]) ? sanitize_text_field($_POST[base64_decode('aXNVcGRhdGVSZWd1bGFyUHJpY2U=')]) : base64_decode('Tg==');
  $i91 = isset($_POST[base64_decode('aXNVcGRhdGVTYWxlUHJpY2U=')]) ? sanitize_text_field($_POST[base64_decode('aXNVcGRhdGVTYWxlUHJpY2U=')]) : base64_decode('Tg==');
  $s92 = isset($_POST[base64_decode('aXNVcGRhdGVTdG9jaw==')]) ? sanitize_text_field($_POST[base64_decode('aXNVcGRhdGVTdG9jaw==')]) : base64_decode('Tg==');
  $y93 = isset($_POST[base64_decode('cHJpY2VGb3JtdWxhSW50ZXJ2YWxscw==')]) ? $_POST[base64_decode('cHJpY2VGb3JtdWxhSW50ZXJ2YWxscw==')] : array();
  $p94 = isset($_POST[base64_decode('b25seVB1Ymxpc2hQcm9kdWN0V2lsbFN5bmM=')]) ? sanitize_text_field($_POST[base64_decode('b25seVB1Ymxpc2hQcm9kdWN0V2lsbFN5bmM=')]) : base64_decode('Tg==');
  $v95 = isset($_POST[base64_decode('ZW5hYmxlQXV0b21hdGljVXBkYXRlcw==')]) ? sanitize_text_field($_POST[base64_decode('ZW5hYmxlQXV0b21hdGljVXBkYXRlcw==')]) : base64_decode('Tg==');
  $c96 = isset($_POST[base64_decode('YXBwbHlQcmljZUZvcm11bGFBdXRvbWF0aWNVcGRhdGU=')]) ? sanitize_text_field($_POST[base64_decode('YXBwbHlQcmljZUZvcm11bGFBdXRvbWF0aWNVcGRhdGU=')]) : base64_decode('Tg==');
  $c97 = isset($_POST[base64_decode('c3luY1JlZ3VsYXJQcmljZQ==')]) ? sanitize_text_field($_POST[base64_decode('c3luY1JlZ3VsYXJQcmljZQ==')]) : base64_decode('Tg==');
  $y98 = isset($_POST[base64_decode('c3luY1NhbGVQcmljZQ==')]) ? sanitize_text_field($_POST[base64_decode('c3luY1NhbGVQcmljZQ==')]) : base64_decode('Tg==');
  $p99 = isset($_POST[base64_decode('c3luY1N0b2Nr')]) ? sanitize_text_field($_POST[base64_decode('c3luY1N0b2Nr')]) : base64_decode('Tg==');
  $c100 = isset($_POST[base64_decode('X3NhdmVkQ29uZmlndXJhdGlvbg==')]) ? $_POST[base64_decode('X3NhdmVkQ29uZmlndXJhdGlvbg==')] : null;
  $o101 = isset($_POST[base64_decode('YXBwSWQ=')]) ? sanitize_text_field($_POST[base64_decode('YXBwSWQ=')]) : null;
  $n102 = isset($_POST[base64_decode('dXJsQXBp')]) ? sanitize_text_field($_POST[base64_decode('dXJsQXBp')]) : null;
  $certId = isset($_POST['certId']) ? sanitize_text_field($_POST['certId']) : null;


  if (isset($c100)) {
    update_option(base64_decode('X3NhdmVkQ29uZmlndXJhdGlvbl9mb3JfZWJheQ=='), $c100);
  }
  if (isset($n102)) {
    update_option(base64_decode('dXJsQXBpX2Zvcl9lYmF5'), base64_decode('aHR0cHM6Ly9vcGVuLmFwaS5lYmF5LmNvbS9zaG9wcGluZz9jYWxsbmFtZT1HZXRNdWx0aXBsZUl0ZW1zJnJlc3BvbnNlZW5jb2Rpbmc9SlNPTg=='));
  }
  if (isset($o101)) {
    update_option(base64_decode('YXBwSWRfZm9yX2ViYXk='), $o101);
  }
  if (isset($c97)) {
    update_option(base64_decode('c3luY1JlZ3VsYXJQcmljZV9mb3JfZWJheQ=='), $c97);
  }
  if (isset($y98)) {
    update_option(base64_decode('c3luY1NhbGVQcmljZV9mb3JfZWJheQ=='), $y98);
  }
  if (isset($p99)) {
    update_option(base64_decode('c3luY1N0b2NrX2Zvcl9lYmF5'), $p99);
  }
  if (isset($y93)) {
    update_option(base64_decode('cHJpY2VGb3JtdWxhSW50ZXJ2YWxsc19mb3JfZWJheQ=='), $y93);
  }
  if (isset($n88)) {
    update_option(base64_decode('aXNTaGlwcGluZ0Nvc3RFbmFibGVkX2Zvcl9lYmF5'), $n88);
  }
  if (isset($s89)) {
    update_option(base64_decode('aXNFbmFibGVBdXRvbWF0aWNVcGRhdGVGb3JBdmFpbGFiaWxpdHlfZm9yX2ViYXk='), $s89);
  }
  if (isset($h90)) {
    update_option(base64_decode('aXNVcGRhdGVSZWd1bGFyUHJpY2VfZm9yX2ViYXk='), $h90);
  }
  if (isset($i91)) {
    update_option(base64_decode('aXNVcGRhdGVTYWxlUHJpY2VfZm9yX2ViYXk='), $i91);
  }
  if (isset($s92)) {
    update_option(base64_decode('aXNVcGRhdGVTdG9ja19mb3JfZWJheQ=='), $s92);
  }
  if (isset($p94)) {
    update_option(base64_decode('b25seVB1Ymxpc2hQcm9kdWN0V2lsbFN5bmNfZm9yX2ViYXk='), $p94);
  }
  if (isset($v95)) {
    update_option(base64_decode('ZW5hYmxlQXV0b21hdGljVXBkYXRlc19mb3JfZWJheQ=='), $v95);
  }
  if (isset($c96)) {
    update_option(base64_decode('YXBwbHlQcmljZUZvcm11bGFBdXRvbWF0aWNVcGRhdGVfZm9yX2ViYXk='), $c96);
  }

  if (isset($certId)) {
    update_option('certId', $certId);
  }

  wp_send_json($n88);
}
function insertReviewsIntoProductRM_PREMUIM_PLUGIN_for_ebay()
{
  $l28 = isset($_POST[base64_decode('cG9zdF9pZA==')]) ? sanitize_text_field($_POST[base64_decode('cG9zdF9pZA==')]) : '';
  $w24 = isset($_POST[base64_decode('cmV2aWV3cw==')]) ? ($_POST[base64_decode('cmV2aWV3cw==')]) : array();
  $f67 = array();
  if (isset($l28) && isset($w24) && count($w24)) {
    foreach ($w24 as $n31) {
      $i32 = wp_insert_comment(array(base64_decode('Y29tbWVudF9wb3N0X0lE') => sanitize_text_field($l28), base64_decode('Y29tbWVudF9hdXRob3I=') => sanitize_text_field($n31[base64_decode('dXNlcm5hbWU=')]), base64_decode('Y29tbWVudF9hdXRob3JfZW1haWw=') => sanitize_text_field($n31[base64_decode('ZW1haWw=')]), base64_decode('Y29tbWVudF9hdXRob3JfdXJs') => '', base64_decode('Y29tbWVudF9jb250ZW50') => $n31[base64_decode('cmV2aWV3')], base64_decode('Y29tbWVudF90eXBl') => '', base64_decode('Y29tbWVudF9wYXJlbnQ=') => 0, base64_decode('dXNlcl9pZA==') => 5, base64_decode('Y29tbWVudF9hdXRob3JfSVA=') => '', base64_decode('Y29tbWVudF9hZ2VudA==') => '', base64_decode('Y29tbWVudF9kYXRl') => $n31[base64_decode('ZGF0ZWNyZWF0aW9u')], base64_decode('Y29tbWVudF9hcHByb3ZlZA==') => 1,));
      $v68 = update_comment_meta($i32, base64_decode('cmF0aW5n'), sanitize_text_field($n31[base64_decode('cmF0aW5n')]));
      if ($v68 != false && isset($v68)) {
        array_push($f67, $i32);
      }
    }
    wp_send_json(array(base64_decode('aW5zZXJ0ZWRTdWNjZXNzZnVsbHk=') => $f67));
  }
}
function getVariationsFromEbay()
{
  $z103 = plugin_dir_path(__FILE__) . base64_decode('L3Rlc3QudHh0');
  $f104 = fopen($z103, base64_decode('dw=='));
  fwrite($f104, base64_decode('LS0tUlJSMw=='));
  $c21 = isset($_POST[base64_decode('cHJvZHVjdFVybA==')]) ? $_POST[base64_decode('cHJvZHVjdFVybA==')] : '';
  $q105 = curl_init();
  curl_setopt($q105, CURLOPT_URL, $c21);
  curl_setopt($q105, CURLOPT_CUSTOMREQUEST, base64_decode('R0VU'));
  curl_setopt($q105, CURLOPT_FOLLOWLOCATION, TRUE);
  curl_setopt($q105, CURLOPT_RETURNTRANSFER, true);
  $r106 = curl_exec($q105);
  curl_close($q105);
  $f19 = null;
  $h20 = null;
  if (strpos($r106, base64_decode('aXRlbVZhcmlhdGlvbnNNYXA=')) == true) {
    $a107 = base64_decode('LyJpdGVtVmFyaWF0aW9uc01hcCI6Lio/fX0vaW0=');
    if (preg_match($a107, $r106, $c108)) {
      if (isset($c108) && isset($c108[0])) {
        $t109 = json_decode(base64_decode('ew==') . $c108[0] . base64_decode('fQ=='), true);
        if (isset($t109)) {
          foreach ($t109 as $v9) {
            $f19 = $v9;
          }
        }
      }
    }
    $o110 = base64_decode('LyJtZW51SXRlbU1hcCI6Lio/fX0vaW0=');
    if (preg_match($o110, $r106, $c108)) {
      if (isset($c108) && isset($c108[0])) {
        $t109 = json_decode(base64_decode('ew==') . $c108[0] . base64_decode('fQ=='), true);
        if (isset($t109)) {
          foreach ($t109 as $v9) {
            $h20 = $v9;
          }
        }
      }
    }
  }
  if (isset($f19) && isset($h20)) {
    wp_send_json(array(base64_decode('JHZhcmlhdGlvbnM=') => $f19, base64_decode('YXR0cmlidXRlcw==') => $h20));
  }
}
function restoreConfiguration_for_ebay()
{
  $c100 = get_option(base64_decode('X3NhdmVkQ29uZmlndXJhdGlvbl9mb3JfZWJheQ=='));
  wp_send_json(array(base64_decode('X3NhdmVkQ29uZmlndXJhdGlvbg==') => $c100));
}
function stopAutomaticUpdates()
{
  update_option(base64_decode('c3RvcF9hdXRvbWF0aWNfdXBkYXRlX2Zvcl9lYmF5'), base64_decode('c3RvcA=='));
  wp_send_json(array(base64_decode('c3RvcF9hdXRvbWF0aWM=') => true));
}
add_action(base64_decode('d3BfYWpheF93b29zaGFyay1pbnNlcnQtcHJvZHVjdF9mb3JfZWJheQ=='), base64_decode('aW5zZXJ0UHJvZHVjdEluV29vY29tbWVyY2VfZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfd29vc2hhcmstaW5zZXJ0LXByb2R1Y3RfZm9yX2ViYXk='), base64_decode('aW5zZXJ0UHJvZHVjdEluV29vY29tbWVyY2VfZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9nZXRfcHJvZHVjdHNfZm9yX2ViYXk='), base64_decode('Z2V0UHJvZHVjdF9GUk9NV1BfZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfZ2V0X3Byb2R1Y3RzX2Zvcl9lYmF5'), base64_decode('Z2V0UHJvZHVjdF9GUk9NV1BfZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9zZWFyY2gtY2F0ZWdvcnktYnktbmFtZV9mb3JfZWJheQ=='), base64_decode('c2VhcmNoQ2F0ZWdvcnlCeU5hbWVfZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfc2VhcmNoLWNhdGVnb3J5LWJ5LW5hbWVfZm9yX2ViYXk='), base64_decode('c2VhcmNoQ2F0ZWdvcnlCeU5hbWVfZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9nZXQtc2t1LWFuZC11cmwtYnktQ2F0ZWdvcnlfZm9yX2ViYXk='), base64_decode('Z2V0U0t1QWJkVXJsQnlDYXRlZ29yeV9mb3JfZWJheQ=='));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfZ2V0LXNrdS1hbmQtdXJsLWJ5LUNhdGVnb3J5X2Zvcl9lYmF5'), base64_decode('Z2V0U0t1QWJkVXJsQnlDYXRlZ29yeV9mb3JfZWJheQ=='));
add_action(base64_decode('d3BfYWpheF9nZXQtYWxyZWFkeS1pbXBvcnRlZC1wcm9kdWN0c19mb3JfZWJheQ=='), base64_decode('Z2V0QWxyZWFkeUltcG9ydGVkUHJvZHVjdHNfZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfZ2V0LWFscmVhZHktaW1wb3J0ZWQtcHJvZHVjdHNfZm9yX2ViYXk='), base64_decode('Z2V0QWxyZWFkeUltcG9ydGVkUHJvZHVjdHNfZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9pbnNlcnQtcmV2aWV3cy10by1wcm9kdWN0X2Zvcl9lYmF5'), base64_decode('aW5zZXJ0UmV2aWV3c0ludG9Qcm9kdWN0X2Zvcl9lYmF5'));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfaW5zZXJ0LXJldmlld3MtdG8tcHJvZHVjdF9mb3JfZWJheQ=='), base64_decode('aW5zZXJ0UmV2aWV3c0ludG9Qcm9kdWN0X2Zvcl9lYmF5'));
add_action(base64_decode('d3BfYWpheF9yZW1vdmUtcHJvZHVjdC1mcm9tLXdwX2Zvcl9lYmF5'), base64_decode('cmVtb3ZlUHJvZHVjdEZyb21TaG9wX2Zvcl9lYmF5'));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfcmVtb3ZlLXByb2R1Y3QtZnJvbS13cF9mb3JfZWJheQ=='), base64_decode('cmVtb3ZlUHJvZHVjdEZyb21TaG9wX2Zvcl9lYmF5'));
add_action(base64_decode('d3BfYWpheF9zZWFyY2gtcHJvZHVjdC1ieS1za3VfZm9yX2ViYXk='), base64_decode('c2VhcmNoUHJvZHVjdEJ5U2t1X2Zvcl9lYmF5'));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfc2VhcmNoLXByb2R1Y3QtYnktc2t1X2Zvcl9lYmF5'), base64_decode('c2VhcmNoUHJvZHVjdEJ5U2t1X2Zvcl9lYmF5'));
add_action(base64_decode('d3BfYWpheF91cGRhdGUtcHJvZHVjdC12YXJpYXRpb25zX2Zvcl9lYmF5'), base64_decode('dXBkYXRlUHJvZHVjdFZhcmlhdGlvbnNfZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfdXBkYXRlLXByb2R1Y3QtdmFyaWF0aW9uc19mb3JfZWJheQ=='), base64_decode('dXBkYXRlUHJvZHVjdFZhcmlhdGlvbnNfZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF91cGRhdGUtcHJvZHVjdC1zaW1wbGVfZm9yX2ViYXk='), base64_decode('dXBkYXRlUHJvZHVjdFNpbXBsZV9mb3JfZWJheQ=='));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfdXBkYXRlLXByb2R1Y3Qtc2ltcGxlX2Zvcl9lYmF5'), base64_decode('dXBkYXRlUHJvZHVjdFNpbXBsZV9mb3JfZWJheQ=='));
add_action(base64_decode('d3BfYWpheF9zZXQtdG8tZHJhZnRfZm9yX2ViYXk='), base64_decode('c2V0UHJvZHVjdFRvRHJhZnRfZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfc2V0LXRvLWRyYWZ0X2Zvcl9lYmF5'), base64_decode('c2V0UHJvZHVjdFRvRHJhZnRfZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9nZXRfcHJvZHVjdHMtZHJhZnRfZm9yX2ViYXk='), base64_decode('Z2V0UHJvZHVjdHNEcmFmdF9mb3JfZWJheQ=='));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfZ2V0X3Byb2R1Y3RzLWRyYWZ0X2Zvcl9lYmF5'), base64_decode('Z2V0UHJvZHVjdHNEcmFmdF9mb3JfZWJheQ=='));
add_action(base64_decode('d3BfYWpheF9nZXQtb2xkLXByb2R1Y3QtZGV0YWlsc19mb3JfZWJheQ=='), base64_decode('Z2V0T2xkUHJvZHVjdERldGFpbHNfZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfZ2V0LW9sZC1wcm9kdWN0LWRldGFpbHNfZm9yX2ViYXk='), base64_decode('Z2V0T2xkUHJvZHVjdERldGFpbHNfZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9nZXQtcHJvZHVjdC1ieS1pZF9mb3JfZWJheQ=='), base64_decode('c2VhcmNoUHJvZHVjdEJ5SWRSZXZpZXdzX2Zvcl9lYmF5'));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfZ2V0LXByb2R1Y3QtYnktaWRfZm9yX2ViYXk='), base64_decode('c2VhcmNoUHJvZHVjdEJ5SWRSZXZpZXdzX2Zvcl9lYmF5'));
add_action(base64_decode('d3BfYWpheF9zYXZlT3B0aW9uc0RCX2Zvcl9lYmF5'), base64_decode('c2F2ZU9wdGlvbnNEQl9mb3JfZWJheQ=='));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfc2F2ZU9wdGlvbnNEQl9mb3JfZWJheQ=='), base64_decode('c2F2ZU9wdGlvbnNEQl9mb3JfZWJheQ=='));
add_action(base64_decode('d3BfYWpheF9yZXN0b3JlQ29uZmlndXJhdGlvbl9mb3JfZWJheQ=='), base64_decode('cmVzdG9yZUNvbmZpZ3VyYXRpb25fZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfcmVzdG9yZUNvbmZpZ3VyYXRpb25fZm9yX2ViYXk='), base64_decode('cmVzdG9yZUNvbmZpZ3VyYXRpb25fZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9pbnNlcnQtcmV2aWV3cy10by1wcm9kdWN0Uk1fZm9yX2ViYXk='), base64_decode('aW5zZXJ0UmV2aWV3c0ludG9Qcm9kdWN0Uk1fUFJFTVVJTV9QTFVHSU5fZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfaW5zZXJ0LXJldmlld3MtdG8tcHJvZHVjUk10X2Zvcl9lYmF5'), base64_decode('aW5zZXJ0UmV2aWV3c0ludG9Qcm9kdWN0Uk1fUFJFTVVJTV9QTFVHSU5fZm9yX2ViYXk='));
add_action(base64_decode('d3BfYWpheF9nZXRfdmFyaWF0aW9uc19mcm9tX2ViYXk='), base64_decode('Z2V0VmFyaWF0aW9uc0Zyb21FYmF5'));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfZ2V0X3ZhcmlhdGlvbnNfZnJvbV9lYmF5'), base64_decode('Z2V0VmFyaWF0aW9uc0Zyb21FYmF5'));
add_action(base64_decode('d3BfYWpheF9zdG9wX2F1dG9tYXRpY191cGRhdGVfZm9yX2ViYXk='), base64_decode('c3RvcEF1dG9tYXRpY1VwZGF0ZXM='));
add_action(base64_decode('d3BfYWpheF9ub3ByaXZfc3RvcF9hdXRvbWF0aWNfdXBkYXRlX2Zvcl9lYmF5'), base64_decode('c3RvcEF1dG9tYXRpY1VwZGF0ZXM='));
















add_action('wp_ajax_remove-product-from-wp-for-ebay', 'removeProductFromShop_forEBAY');
add_action('wp_ajax_nopriv_remove-product-from-wp-for-ebay', 'removeProductFromShop_forEBAY');

function removeProductFromShop_forEBAY()
{
  $post_id = isset($_POST['post_id']) ? sanitize_text_field($_POST['post_id']) : '';
  if (isset($post_id)) {
    $id_remove = wp_delete_post($post_id);
    if ($id_remove != false && isset($id_remove)) {
      $results = array(
        'error' => false,
        'error_msg' => '',
        'data' => 'removed successfully'
      );
      wp_send_json($results);
    } else {
      $results = array(
        'error' => trye,
        'error_msg' => 'error while removing the product',
        'data' => ''
      );
      wp_send_json($results);
    }
  }
}